using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Application.Common.Interfaces.Services;

public interface LiqPayPaymentService
{
    Task<string> GetPaymentLinkAsync(
        decimal amount, Currency currency,
        string orderId, TimeSpan validity, string description,
        string resultPath, string callbackPath);

    Task<bool> IsValidSignatureAsync(string postData, string postSignature);
}
